BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileLeaveHistory Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileLeaveHistory:

## Properties
DateTime? | DateStartLeave`[get, set]`
DateTime? | DateEndLeave`[get, set]`
double? | NumLeave`[get, set]`
double? | SumLeave`[get, set]`
double? | TotalLeave`[get, set]`
string? | Status`[get, set]`
string? | Reason`[get, set]`
virtual ? TypeLeave | TypeLeave`[get, set]`
virtual ? ProfileLeave | ProfileLeave`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ DateEndLeave

DateTime? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.DateEndLeave
| get set

## ◆ DateStartLeave

DateTime? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.DateStartLeave
| get set

## ◆ NumLeave

double? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.NumLeave
| get set

## ◆ ProfileLeave

virtual ? ProfileLeave BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.ProfileLeave
| get set

## ◆ Reason

string? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.Reason
| get set

## ◆ Status

string? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.Status
| get set

## ◆ SumLeave

double? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.SumLeave
| get set

## ◆ TotalLeave

double? BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.TotalLeave
| get set

## ◆ TypeLeave

virtual ? TypeLeave BMA.EHR.Domain.Models.HR.ProfileLeaveHistory.TypeLeave
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileLeaveHistory.cs